<!DOCTYPE html>
<html>
<head>
	<title>Inline-level VS Block-level Elements</title>
	<!-- external css -->
	<link rel="stylesheet" href="styles/inline-block.css">
</head>
<body>
	<h1> Headings are Block Level Elements! </h1>

	<p>
		Paragraphs are blocks, too. <em>However</em>, 'em' tags are not.
		They are <strong>inline</strong> elements.	
	</p>

	<p>
		Block elements define the flow of the HTML document, while the inline element do not.
	</p>

	<strong id="strong-tag">
		Lorem ipsum dolor sit amet consectetur adipisicing elit. In maiores possimus vitae obcaecati dolorem perferendis minus ut aperiam rem nemo cupiditate assumenda accusamus nobis non aliquid, animi, suscipit impedit. Beatae.
	</strong>

	<hr>
	<h2>Flex box</h2>
	<!-- Flex container - groups and holds the elements which are flexible -->
	<div class="flex-container"> <!-- flex box starts with the flex container -->
		<div class="flex-item">
			<img src="https://place-puppy.com/450x450" alt="cute-puppy">
			<h2>Article 1</h2>
			<p>
				Lorem ipsum dolor sit amet consectetur adipisicing elit. Ab excepturi quae nam labore dolorem assumenda temporibus deserunt officiis eligendi sed voluptatibus fuga soluta magni perspiciatis molestiae voluptatum, doloribus at aliquam!
			</p>
		</div> <!-- flex items are the flexible box -->
		<div class="flex-item">
			<img src="https://place-puppy.com/450x450" alt="cute-puppy">
			<h2>Article 2</h2>
			<p>
				Lorem ipsum dolor sit amet consectetur adipisicing elit. Maxime quas quibusdam at ut molestiae ipsum repellendus vel culpa cupiditate voluptas iusto doloremque, incidunt ducimus saepe in similique quis, iste natus.
			</p>
		</div>
		<div class="flex-item">
            <img src="https://place-puppy.com/450x450" alt="cute-puppy">
			<h2>Article 3</h2>
			<p>
				Lorem ipsum dolor sit amet consectetur adipisicing elit. Necessitatibus quidem maxime quae at cupiditate libero aspernatur omnis praesentium excepturi blanditiis sit, reiciendis in eligendi incidunt possimus corrupti sint aut delectus!
			</p>
		</div>
	</div>

</body>
</html>
